icetGetError(3)

NAME
icetGetError - return the last error condition

SYNOPSIS
#include <GL/ice-t.h>

GLenum icetGetError(void);

DESCRIPTION
Retrieves the first error or warning condition that occurred since the last call to icetGetError or since program startup, whichever happened last.

Once an error condition has been retrieved with icetGetError, the error condition is reset to no error and cannot be retrieved again.

RETURN VALUE
One of the following flags will be returned:

ICET_NO_ERROR
    No error has been raised since the last call to icetGetError.

ICET_SANITY_CHECK_FAIL
    An internal error (or warning) has occurred.

ICET_INVALID_ENUM
    A function has been passed an invalid constant.

ICET_BAD_CAST
    A function has been passed a value of the wrong type.

ICET_OUT_OF_MEMORY
    ICE-T has ran out of memory for buffer space.

ICET_INVALID_OPERATION
    An inappropriate function has been called.

ICET_INVALID_VALUE
    An inappropriate value has been passed to a function.

BUGS
It is not possible to tell if the returned value was caused by an error or a warning.

NOTES
The error value is not context dependent.

COPYRIGHT
Copyright © 2003 Sandia Corporation
Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive license for use of this work by or on behalf of the U.S. Government. Redistribution and use in source and binary forms, with or without modification, are permitted provided that this Notice and any statement of authorship are reproduced on all copies.

SEE ALSO
icetDiagnostics